## disk-utilities 0.0+git20250910

=== Makefile ===
ROOT := .
include $(ROOT)/Rules.mk

SUBDIRS := libdisk adf disk-analyse scp

all:
	@set -e; for subdir in $(SUBDIRS); do \
		$(MAKE) -C $$subdir all; \
	done

install:
	@set -e; for subdir in $(SUBDIRS); do \
		$(MAKE) -C $$subdir install; \
	done

clean::
	@set -e; for subdir in $(SUBDIRS); do \
		$(MAKE) -C $$subdir clean; \
	done

=== adf/Makefile ===
ROOT := ..
include $(ROOT)/Rules.mk

TARGETS := adfbb adfread adfwrite

all: $(TARGETS)

%: %.o

install: all
	$(INSTALL_DIR) $(BINDIR)
	$(INSTALL_PROG) $(TARGETS) $(BINDIR)

clean::
	$(RM) $(TARGETS)

=== disk-analyse/Makefile ===
ROOT := ..
include $(ROOT)/Rules.mk

TARGET := disk-analyse

ifeq ($(SHARED_LIB),n)
LIBS := ../libdisk/libdisk.a
else
LIBS := -L../libdisk -ldisk
endif

all:
	$(MAKE) $(TARGET)

disk-analyse: disk-analyse.o config.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LIBS) -o $@

install: all
	$(INSTALL_DIR) $(BINDIR)
	$(INSTALL_PROG) disk-analyse $(BINDIR)
	$(INSTALL_DIR) $(INSTALLDIR)/share/disk-analyse
	$(INSTALL_DATA) formats $(INSTALLDIR)/share/disk-analyse

config.o: CFLAGS += -DPREFIX=\"$(PREFIX)\"

clean::
	$(RM) $(TARGET)

=== imdinfo/Makefile ===
ROOT := ..
include $(ROOT)/Rules.mk

all: imdinfo

imdinfo: imdinfo.o

install: all
	$(INSTALL_DIR) $(BINDIR)
	$(INSTALL_PROG) imdinfo $(BINDIR)

clean::
	$(RM) imdinfo

=== ipfinfo/Makefile ===
ROOT := ..
include $(ROOT)/Rules.mk

all: ipfinfo

ipfinfo: ipfinfo.o

install: all
	$(INSTALL_DIR) $(BINDIR)
	$(INSTALL_PROG) ipfinfo $(BINDIR)

clean::
	$(RM) ipfinfo

=== libdisk/Makefile ===
ROOT := ..
include $(ROOT)/Rules.mk

SRCS := $(wildcard *.c)
OBJS := $(patsubst %.c,%.o,$(SRCS))
PICOBJS := $(patsubst %.o,%.opic,$(OBJS))

MAJOR_VERSION := 0
MINOR_VERSION := 0

# base name of the shared library name
SOLIB_PFX := libdisk

ifeq ($(PLATFORM),osx)
SOLIB   := $(SOLIB_PFX).dylib
SONAME  := $(SOLIB_PFX).$(MAJOR_VERSION).dylib
SOVERS  := $(SOLIB_PFX).$(MAJOR_VERSION).$(MINOR_VERSION).dylib
LDFLAGS += -dynamiclib -install_name "$(LIBDIR)/$(SONAME)"
endif

ifeq ($(PLATFORM),linux)
SOLIB   := $(SOLIB_PFX).so
SONAME  := $(SOLIB_PFX).so.$(MAJOR_VERSION)
SOVERS  := $(SOLIB_PFX).so.$(MAJOR_VERSION).$(MINOR_VERSION)
LDFLAGS += -Wl,-h,$(SONAME) -shared
endif

ifeq ($(PLATFORM),win32)
SOLIB   := $(SOLIB_PFX).dll
SONAME  := $(SOLIB_PFX).$(MAJOR_VERSION).dll
SOVERS  := $(SOLIB_PFX).$(MAJOR_VERSION).$(MINOR_VERSION).dll
LDFLAGS += -Wl,-h,$(SONAME) -shared
endif

LIBS :=
LIBS-$(caps) := -ldl
LIBS += $(LIBS-y)

all:
ifneq ($(SHARED_LIB),n)
	$(MAKE) -C stream streams.apic
	$(MAKE) -C container containers.apic
	$(MAKE) -C format formats.apic
	$(MAKE) $(SOVERS)
else
	$(MAKE) -C stream streams.o
	$(MAKE) -C container containers.o
	$(MAKE) -C format formats.o
	$(MAKE) libdisk.a
endif

libdisk.a: $(OBJS) stream/streams.o container/containers.o format/formats.o
	$(AR) rcs $@ $^

$(SOVERS): $(PICOBJS) stream/streams.apic container/containers.apic \
		format/formats.apic
	$(CC) $(LDFLAGS) -o $(SOVERS) $^ $(LIBS)
#	strip -x $(SOVERS)
	ln -sf $(SOVERS) $(SONAME)
	ln -sf $(SONAME) $(SOLIB)

install: all
ifneq ($(SHARED_LIB),n)
	$(INSTALL_DIR) $(LIBDIR)
	$(INSTALL_PROG) $(SOVERS) $(LIBDIR)
	ln -sf $(SOVERS) $(LIBDIR)/$(SONAME)
	ln -sf $(SONAME) $(LIBDIR)/$(SOLIB)
endif
	$(INSTALL_DIR) $(INCLUDEDIR)/libdisk
	$(INSTALL_DATA) include/libdisk/disk.h $(INCLUDEDIR)/libdisk
	$(INSTALL_DATA) include/libdisk/stream.h $(INCLUDEDIR)/libdisk
	$(INSTALL_DATA) include/libdisk/util.h $(INCLUDEDIR)/libdisk
	$(INSTALL_DATA) include/libdisk/track_types.h $(INCLUDEDIR)/libdisk

clean::
	$(MAKE) -C stream clean
	$(MAKE) -C container clean
	$(MAKE) -C format clean

=== m68k/Makefile ===
ROOT := ..
include $(ROOT)/Rules.mk

CFLAGS += -I.

LDFLAGS := -Lamiga -Lm68k -L../libdisk

.PHONY: m68k/m68k.a amiga/amiga.a

all: disassemble copylock m68k_emulate

copylock: m68k/m68k.a amiga/amiga.a copylock.o
	$(CC) $(LDFLAGS) $@.o -lamiga -lm68k -ldisk -o $@

disassemble: m68k/m68k.a amiga/amiga.a disassemble.o
	$(CC) $(LDFLAGS) $@.o -lamiga -lm68k -o $@

m68k_emulate: m68k/m68k.a m68k_emulate.o
	$(CC) $(LDFLAGS) $@.o -lm68k -o $@

m68k/m68k.a:
	$(MAKE) -C m68k all

amiga/amiga.a:
	$(MAKE) -C amiga all

install: all
	$(INSTALL_DIR) $(BINDIR)
	$(INSTALL_PROG) copylock $(BINDIR)
	$(INSTALL_PROG) disassemble $(BINDIR)
	$(INSTALL_PROG) m68k_emulate $(BINDIR)

clean::
	$(RM) disassemble copylock
	$(MAKE) -C m68k clean
	$(MAKE) -C amiga clean

=== scp/Makefile ===
ROOT := ..
include $(ROOT)/Rules.mk

TARGETS :=

ifeq ($(PLATFORM),linux)
TARGETS += scp_dump scp_write
endif

ifeq ($(PLATFORM),osx)
TARGETS += scp_dump scp_write
endif

all: $(TARGETS)

scp_dump: scp.o scp_dump.o

scp_write: scp.o scp_write.o

install: all
ifneq ($(TARGETS),)
	$(INSTALL_DIR) $(BINDIR)
	$(INSTALL_PROG) scp_dump $(BINDIR)
	$(INSTALL_PROG) scp_write $(BINDIR)
endif

clean::
	$(RM) scp_dump scp_write

=== libdisk/container/Makefile ===
ROOT := ../..
include $(ROOT)/Rules.mk

SRCS := $(wildcard *.c)
OBJS := $(patsubst %.c,%.o,$(SRCS))
PICOBJS := $(patsubst %.o,%.opic,$(OBJS))

all: containers.o containers.opic containers.a containers.apic

containers.o: $(OBJS)
	$(LD) -r -o $@ $^

containers.opic: $(PICOBJS)
	$(LD) -r -o $@ $^

containers.a: $(OBJS)
	$(AR) rcs $@ $^

containers.apic: $(PICOBJS)
	$(AR) rcs $@ $^

=== libdisk/format/Makefile ===
ROOT := ../..
DEPS := amiga/.*.d
include $(ROOT)/Rules.mk

SRCS := $(wildcard *.c amiga/*.c)
OBJS := $(patsubst %.c,%.o,$(SRCS))
PICOBJS := $(patsubst %.o,%.opic,$(OBJS))

all: formats.o formats.opic formats.a formats.apic

formats.o: $(OBJS)
	$(LD) -r -o $@ $^

formats.opic: $(PICOBJS)
	$(LD) -r -o $@ $^

formats.a: $(OBJS)
	$(AR) rcs $@ $^

formats.apic: $(PICOBJS)
	$(AR) rcs $@ $^

clean::
	$(MAKE) -C amiga clean

=== libdisk/stream/Makefile ===
ROOT := ../..
include $(ROOT)/Rules.mk

OBJS := stream.o kryoflux_stream.o diskread.o disk_image.o soft.o
OBJS += discferret_dfe2.o supercard_scp.o
ifeq ($(caps),y)
OBJS += caps.o
else
OBJS += caps_disabled.o
endif

PICOBJS := $(patsubst %.o,%.opic,$(OBJS))

all: streams.o streams.opic streams.a streams.apic

streams.o: $(OBJS)
	$(LD) -r -o $@ $^

streams.opic: $(PICOBJS)
	$(LD) -r -o $@ $^

streams.a: $(OBJS)
	$(AR) rcs $@ $^

streams.apic: $(PICOBJS)
	$(AR) rcs $@ $^

=== m68k/amiga/Makefile ===
ROOT := ../..
include $(ROOT)/Rules.mk

CFLAGS += -I..

OBJS := amiga.o logging.o disk.o cia.o event.o custom.o amiga_reg_names.o
OBJS += mem.o exec.o

all: libamiga.a

libamiga.a: $(OBJS)
	$(AR) rcs $@ $^

=== debian/changelog ===
disk-utilities (1:0.0+git20250910-0ddebs1~ubuntu24.04) noble; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 23 Nov 2025 11:41:23 +0100

disk-utilities (1:0.0+git20241007-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 16 Nov 2024 14:41:19 +0100

disk-utilities (1:0.0+git20240101-0ddebs2) unstable; urgency=medium

  * Updated to standards-version 4.6.2
  * use debhelper compatibility v13

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 10 Mar 2024 14:51:14 +0100

disk-utilities (1:0.0+git20240101-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 11 Feb 2024 15:43:34 +0100

disk-utilities (1:0.0+git20231030-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Wed, 01 Nov 2023 20:56:42 +0100

disk-utilities (1:0.0+git20230411-0ddebs2) unstable; urgency=medium

  * use xz compression until debian 13 is released

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 22 Apr 2023 16:44:35 +0200

disk-utilities (1:0.0+git20230411-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 15 Apr 2023 17:20:14 +0200

disk-utilities (1:0.0+git20221020-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 22 Oct 2022 01:17:37 +0200

disk-utilities (1:0.0+git20220512-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 15 May 2022 15:58:28 +0200

disk-utilities (1:0.0+git20211209-0ddebs2) unstable; urgency=medium

  * update to standards-version 4.6.0.1
  * make use of debhelper-compat (= 12) dependency, and remove
    debian/compat file

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 04 Apr 2022 23:10:20 +0200

disk-utilities (1:0.0+git20211209-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 23 Dec 2021 10:31:05 +0100

disk-utilities (1:0.0+git20210725-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 26 Jul 2021 09:46:59 +0200

disk-utilities (1:0.0+git20210314-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 15 Mar 2021 00:29:42 +0000

disk-utilities (1:0.0+git20201102-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 03 Nov 2020 12:09:27 +0100

disk-utilities (1:0.0+git20200716-0ddebs1) unstable; urgency=medium

  * New upstream release
  * updated debian/watch
  * removed debian-rules-sets-DEB_BUILD_OPTIONS in debian/rules

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 01 Sep 2020 10:58:01 +0200

disk-utilities (1:0.0+git20200321-0ddebs2) unstable; urgency=medium

  * Adapt for crossbuilding

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 21 Jul 2020 16:15:39 +0200

disk-utilities (1:0.0+git20200321-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 19 Apr 2020 01:48:51 +0200

disk-utilities (1:0.0+git20191218-0ddebs2) unstable; urgency=medium

  * updated to standards-version 4.5.0

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 18 Apr 2020 14:30:38 +0200

disk-utilities (1:0.0+git20191218-0ddebs1) unstable; urgency=medium

  * New sync with git
  * debian/control added Vcs-Browser and Vcs-Git field
  * updated to standard version 4.1.4
  * debian/watch changed to use last commit

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Fri, 27 Dec 2019 20:40:16 +0100

disk-utilities (1:0.0+git20190712-0ddebs2) unstable; urgency=medium

  * Removed some unused compilation flags

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 06 Aug 2019 09:22:52 +0200

disk-utilities (1:0.0+git20190712-0ddebs1) unstable; urgency=medium

  * Update from upstream Git

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 25 Jul 2019 17:17:40 +0200

disk-utilities (1:0.0+git20180721-0ddebs1) unstable; urgency=medium

  * new version with epoch change that give a better upstream version

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 26 Nov 2018 23:30:56 +0100

disk-utilities (1.0-0ddebs1) unstable; urgency=medium

  * Initial release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 13 Oct 2018 23:39:03 +0200

=== debian/control ===
Source: disk-utilities
Section: utils
Priority: optional
Maintainer: Nicolas HOUDELOT <nicolas@demosdebs.org>
Build-Depends:
 debhelper-compat (= 13),
 libcapsimage5-dev
Standards-Version: 4.6.2
Homepage: https://github.com/keirf/Disk-Utilities
Vcs-Browser: https://github.com/keirf/Disk-Utilities
Vcs-Git: https://github.com/keirf/Disk-Utilities.git

Package: libdisk-dev
Section: libdevel
Architecture: any
Depends:
 libdisk0 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files of library for converting and manipulating disk
 images. It can create disk images in a range of formats from Kryoflux STREAM
 and SPS/IPF images (among others), and then allow these to be accessed and
 modified.

Package: libdisk0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Library for converting and manipulating disk images.
 It can create disk images in a range of formats from Kryoflux STREAM and
 SPS/IPF images (among others), and then allow these to be accessed and
 modified.

Package: disk-utilities
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Utilities for ripping, dumping, analysing, and modifying disk images.
 disk-analyse/ Disk image conversion tool.
 adfbb/ Read/modify/write ADF boot blocks.
 adfread/ Read file contents of an ADF and optionally dump into local host
 filesystem adfwrite/ Stuff data into selected sectors of an ADF image
 amiga-native/diskread Dumps a disk to a (large, 20MB!) file.
 m68k/ m68k/ M68k disassembler/emulator library.
 ipfinfo/ Dump information about an SPS/IPF image file.
 scp/ Dump floppy flux data from Supercard Pro to a .SCP image file.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,nocheck

ifneq "$(DEB_HOST_MULTIARCH)" "m68k-linux-gnu" 
	export DEB_CFLAGS_MAINT_APPEND  = -flto
	export DEB_LDFLAGS_MAINT_APPEND  = -flto
endif

CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)
	(cd debian; \
	  for i in *.in; do\
	  o=`basename $$i .in`;\
	  sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' "$$i" > "$$o"; \
	  done )

override_dh_auto_install:
	find . -name "COPYING" -delete
	dh_auto_install

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.0+git%cd, \
    	 repack,compression=xz" \
         https://github.com/keirf/Disk-Utilities \
         HEAD debian uupdate
